import { ClientPlatform, RoomBanner, RoomCreator, RoomEventRedacter, RoomEventRelationsGetter, RoomInviter, RoomJoiner, RoomKicker, RoomMessageSender, RoomResolver, RoomStateEventSender, RoomStateGetter, RoomUnbanner } from 'matrix-protection-suite';
import { BotSDKBaseClient } from './BotSDKBaseClient';
export declare class BotSDKClientPlatform implements ClientPlatform {
    private readonly allClient;
    constructor(allClient: BotSDKBaseClient);
    toRoomBanner(): RoomBanner;
    toRoomEventRedacter(): RoomEventRedacter;
    toRoomEventRelationsGetter(): RoomEventRelationsGetter;
    toRoomKicker(): RoomKicker;
    toRoomCreator(): RoomCreator;
    toRoomInviter(): RoomInviter;
    toRoomJoiner(): RoomJoiner;
    toRoomResolver(): RoomResolver;
    toRoomStateEventSender(): RoomStateEventSender;
    toRoomStateGetter(): RoomStateGetter;
    toRoomUnbanner(): RoomUnbanner;
    toRoomMessageSender(): RoomMessageSender;
}
//# sourceMappingURL=BotSDKClientPlatform.d.ts.map