import { EDStatic } from 'matrix-protection-suite';
export type RoomDetailsResponse = EDStatic<typeof RoomDetailsResponse>;
export declare const RoomDetailsResponse: import("@sinclair/typebox").TObject<{
    room_id: import("@sinclair/typebox").TUnsafe<import("@the-draupnir-project/matrix-basic-types").StringRoomID>;
    name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
    topic: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
    avatar: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
    canonical_alias: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TUnsafe<import("@the-draupnir-project/matrix-basic-types").StringRoomAlias>, import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>>;
    joined_members: import("@sinclair/typebox").TNumber;
    joined_local_members: import("@sinclair/typebox").TNumber;
    joined_local_devices: import("@sinclair/typebox").TNumber;
    version: import("@sinclair/typebox").TString;
    creator: import("@sinclair/typebox").TUnsafe<import("@the-draupnir-project/matrix-basic-types").StringUserID>;
    encryption: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>;
    federatable: import("@sinclair/typebox").TBoolean;
    public: import("@sinclair/typebox").TBoolean;
    join_rules: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TLiteral<"public">, import("@sinclair/typebox").TLiteral<"knock">, import("@sinclair/typebox").TLiteral<"invite">, import("@sinclair/typebox").TLiteral<"private">]>;
    guest_access: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TLiteral<"can_join">, import("@sinclair/typebox").TLiteral<"forbidden">, import("@sinclair/typebox").TNull]>;
    history_visibility: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TLiteral<"invited">, import("@sinclair/typebox").TLiteral<"joined">, import("@sinclair/typebox").TLiteral<"shared">, import("@sinclair/typebox").TLiteral<"world_readable">]>;
    state_events: import("@sinclair/typebox").TNumber;
    room_type: import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TString, import("@sinclair/typebox").TNull]>;
    forgotten: import("@sinclair/typebox").TBoolean;
}>;
//# sourceMappingURL=RoomDetailsEndpoint.d.ts.map